Create a new downloadable digital product for your school
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 60 requests in a window of 1m.
cURL
curl --request POST \ --url https://backend.codedamn.com/api/public/create-downloadable-product \ --header 'Content-Type: application/json' \ --header 'FERMION-API-KEY: <api-key>' \ --data ' { "data": [ { "data": { "downloadableProductName": "<string>", "shortDescription": "<string>", "thumbnailUrl": "<string>", "status": "Draft" } } ] } '
[ { "output": { "status": "ok", "data": { "fermionDigitalProductId": "<string>", "slug": "<string>" } } } ]
API Request Body
Show child attributes
Name of the downloadable product
1
Brief description of the product
URL of the product thumbnail image (optional, will use default placeholder if not provided)
Initial status of the downloadable product (defaults to Draft)
Draft
Active
Unlisted
API Response Body
ok
Unique identifier of the created downloadable product
URL-friendly slug for the product, used in subsequent API calls